ICONV(1)

NAME
iconv - codeset conversion utility

SYNOPSIS
iconv [-cs] [-o outfile] -f from_name -t to_name [file ...]
iconv [-cs] [-o outfile] -f from_name [-t to_name] [file ...]
iconv [-cs] [-o outfile] -t to_name [-f from_name] [file ...]
iconv -l

DESCRIPTION
The iconv utility converts the codeset of file (or from standard input if no file is specified) from codeset from_name to codeset to_name and outputs the converted text on standard output.

The following options are available:

-c  Prevent output of any invalid characters. By default, iconv outputs an “invalid character” specified by the to_name codeset when it encounters a character which is valid in the from_name codeset but does not have a corresponding character in the to_name codeset.

-f  Specifies the source codeset name as from_name.

-l  Lists available codeset names. Note that not all combinations of from_name and to_name are valid.

-o outfile
    Write to outfile instead of stdout.

-s  Silent. By default, iconv outputs the number of “invalid characters” to standard error if they exist. This option prevents this behaviour.

-t  Specifies the destination codeset name as to_name.

EXIT STATUS

SEE ALSO
iconv(3)

STANDARDS
iconv conforms to p1003.1-2001.

HISTORY
iconv first appeared in NetBSD 2.0.